<?php

namespace Drupal\minikanban_agent\Exceptions;

/**
 * Exception to trigger updating the current task status.
 */
class TaskStatusUpdateException extends \Exception {

  public function __construct(
    public readonly string $status,
    string $message,
    ?\Throwable $previous = NULL,
  ) {
    parent::__construct(
      $message,
      previous: $previous,
    );
  }

}
