<?php

declare(strict_types=1);

namespace Drupal\minikanban_agent\Plugin\AiFunctionGroup;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\ai\Attribute\FunctionGroup;
use Drupal\ai\Service\FunctionCalling\FunctionGroupInterface;

/**
 * The Modification Tools.
 */
#[FunctionGroup(
  id: 'minikanban',
  group_name: new TranslatableMarkup('Kanban Tools'),
  description: new TranslatableMarkup('These are tools for managing the minikanban.'),
)]
final class KanbanTools implements FunctionGroupInterface {
}
